diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/model/three-gpp-v2v-channel-condition-model.h ns-3.44/src/buildings/model/three-gpp-v2v-channel-condition-model.h
--- ns-3.43/src/buildings/model/three-gpp-v2v-channel-condition-model.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/model/three-gpp-v2v-channel-condition-model.h	2025-03-09 16:55:49.351371000 -0700
@@ -21,10 +21,10 @@
 class MobilityModel;
 
 /**
- * \ingroup buildings
- * \ingroup propagation
+ * @ingroup buildings
+ * @ingroup propagation
  *
- * \brief Computes the channel condition for the V2V Urban scenario
+ * @brief Computes the channel condition for the V2V Urban scenario
  *
  * Computes the channel condition following the specifications for the
  * V2V Urban scenario reported in Table 6.2-1 of 3GPP TR 37.885.
@@ -43,8 +43,8 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -63,9 +63,9 @@
      * Compute the LOS probability as specified in Table Table 6.2-1 of 3GPP TR 37.885
      * for the V2V Urban scenario.
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the LOS probability
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the LOS probability
      */
     double ComputePlos(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b) const override;
 
@@ -74,9 +74,9 @@
      * between the tx and the rx based on the buildings deployed in the scenario.
      * It returns 1 if the LOS path is obstructed, 0 otherwise.
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the NLOS probability
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the NLOS probability
      */
     double ComputePnlos(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b) const override;
 
@@ -85,9 +85,9 @@
 };
 
 /**
- * \ingroup buildings
+ * @ingroup buildings
  *
- * \brief Computes the channel condition for the V2V Highway scenario
+ * @brief Computes the channel condition for the V2V Highway scenario
  *
  * Computes the channel condition following the specifications for the
  * V2V Highway scenario reported in Table 6.2-1 of 3GPP TR 37.885.
@@ -106,8 +106,8 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -126,9 +126,9 @@
      * Compute the LOS probability as specified in Table Table 6.2-1 of 3GPP TR 37.885
      * for the V2V Highway scenario.
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the LOS probability
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the LOS probability
      */
     double ComputePlos(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b) const override;
 
@@ -137,22 +137,22 @@
      * between the tx and the rx based on the buildings deployed in the scenario.
      * It returns 1 if the LOS path is obstructed, 0 otherwise.
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the NLOS probability
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the NLOS probability
      */
     double ComputePnlos(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b) const override;
 
     /**
-     * \brief The callback which is hooked to a method to compute channel condition.
+     * @brief The callback which is hooked to a method to compute channel condition.
      *
      * This callback is implemented to make this model robust against the
      * presence and absence of buildings in a highway scenario. If there are
      * buildings in a scenario, this model will use
-     * \link BuildingsChannelConditionModel \endlink, which requires
-     * \link MobilityBuildingInfo \endlink aggregated to the nodes to compute
+     * @link BuildingsChannelConditionModel \endlink, which requires
+     * @link MobilityBuildingInfo \endlink aggregated to the nodes to compute
      * LOS and NLOS. Otherwise, the callback is hooked to a local method
-     * \link GetChCondWithNoBuildings \endlink
+     * @link GetChCondWithNoBuildings \endlink
      * , which construct the ChannelCondtion object and set the condition to
      * outdoor to outdoor with LOS.
      */
@@ -160,39 +160,39 @@
         ComputeChCond;
 
     /**
-     * \brief Get the channel condition and redirect the callback
-     * \link ComputeChCond \endlink to \link GetChCondWithBuildings \endlink
+     * @brief Get the channel condition and redirect the callback
+     * @link ComputeChCond \endlink to @link GetChCondWithBuildings \endlink
      * or to \link GetChCondWithNoBuildings \endlink depending on if there are
      * buildings in the scenario or not.
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the the condition of the channel between \p a and \p b
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the the condition of the channel between \p a and \p b
      */
     Ptr<ChannelCondition> GetChCondAndFixCallback(Ptr<const MobilityModel> a,
                                                   Ptr<const MobilityModel> b);
 
     /**
-     * \brief Get the channel condition between \p a and \p b
+     * @brief Get the channel condition between \p a and \p b
      *        using BuildingsChannelConditionModel.
      *
      * This method will be called for the scenarios with buildings
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the condition of the channel between \p a and \p b
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the condition of the channel between \p a and \p b
      */
     Ptr<ChannelCondition> GetChCondWithBuildings(Ptr<const MobilityModel> a,
                                                  Ptr<const MobilityModel> b) const;
 
     /**
-     * \brief Get the channel condition between \p a and \p b
+     * @brief Get the channel condition between \p a and \p b
      *
      * This method will be called for the scenarios without buildings
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the condition of the channel between \p a and \p b
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the condition of the channel between \p a and \p b
      */
     Ptr<ChannelCondition> GetChCondWithNoBuildings(Ptr<const MobilityModel> a,
                                                    Ptr<const MobilityModel> b) const;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/test/building-position-allocator-test.cc ns-3.44/src/buildings/test/building-position-allocator-test.cc
--- ns-3.43/src/buildings/test/building-position-allocator-test.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/test/building-position-allocator-test.cc	2025-03-09 16:55:49.351371000 -0700
@@ -6,16 +6,16 @@
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
 
+#include "ns3/building-position-allocator.h"
+#include "ns3/building.h"
+#include "ns3/buildings-helper.h"
+#include "ns3/constant-position-mobility-model.h"
 #include "ns3/log.h"
+#include "ns3/mobility-building-info.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/mobility-model.h"
+#include "ns3/simulator.h"
 #include "ns3/test.h"
-#include <ns3/building-position-allocator.h>
-#include <ns3/building.h>
-#include <ns3/buildings-helper.h>
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/mobility-building-info.h>
-#include <ns3/mobility-helper.h>
-#include <ns3/mobility-model.h>
-#include <ns3/simulator.h>
 
 #include <map>
 
@@ -24,13 +24,13 @@
 NS_LOG_COMPONENT_DEFINE("BuildingPositionAllocatorTest");
 
 /**
- * \ingroup buildings
- * \ingroup tests
- * \defgroup building-test Buildings module tests
+ * @ingroup buildings
+ * @ingroup tests
+ * @defgroup building-test Buildings module tests
  */
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  *
  * Room coordinates
  */
@@ -38,9 +38,9 @@
 {
     /**
      * Constructor
-     * \param xx X coord
-     * \param yy Y coord
-     * \param zz Z coord
+     * @param xx X coord
+     * @param yy Y coord
+     * @param zz Z coord
      */
     Room(uint32_t xx, uint32_t yy, uint32_t zz);
     uint32_t x; //!< X coord
@@ -63,7 +63,7 @@
 }
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  *
  * RandomRoomPositionAllocator test
  */
@@ -140,7 +140,7 @@
 }
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  *
  * SameRoomPositionAllocator test
  */
@@ -213,9 +213,9 @@
 }
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  *
- * \brief RandomRoomPositionAllocator TestSuite
+ * @brief RandomRoomPositionAllocator TestSuite
  */
 class BuildingPositionAllocatorTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/test/buildings-channel-condition-model-test.cc ns-3.44/src/buildings/test/buildings-channel-condition-model-test.cc
--- ns-3.43/src/buildings/test/buildings-channel-condition-model-test.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/test/buildings-channel-condition-model-test.cc	2025-03-09 16:55:49.351371000 -0700
@@ -19,7 +19,7 @@
 NS_LOG_COMPONENT_DEFINE("BuildingsChannelConditionModelsTest");
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  *
  * Test case for the class BuildingsChannelConditionModel. It checks if the
  * channel condition is correctly determined when a building is deployed in the
@@ -135,7 +135,7 @@
 }
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  * Test suite for the buildings channel condition model
  */
 class BuildingsChannelConditionModelsTestSuite : public TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/test/buildings-helper-test.cc ns-3.44/src/buildings/test/buildings-helper-test.cc
--- ns-3.43/src/buildings/test/buildings-helper-test.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/test/buildings-helper-test.cc	2025-03-09 16:55:49.351371000 -0700
@@ -6,23 +6,23 @@
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
 
+#include "ns3/building.h"
+#include "ns3/buildings-helper.h"
+#include "ns3/constant-position-mobility-model.h"
 #include "ns3/log.h"
+#include "ns3/mobility-building-info.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/simulator.h"
 #include "ns3/test.h"
-#include <ns3/building.h>
-#include <ns3/buildings-helper.h>
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/mobility-building-info.h>
-#include <ns3/mobility-helper.h>
-#include <ns3/simulator.h>
 
 using namespace ns3;
 
 NS_LOG_COMPONENT_DEFINE("BuildingsHelperTest");
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  *
- * \brief Struct representing a position in a building
+ * @brief Struct representing a position in a building
  */
 struct PositionInBuilding
 {
@@ -46,7 +46,7 @@
 }
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
 
  * Data to construct a Building object. We don't want to pass Building
  * objects to the TestCase constructor because otherwise BuildingList
@@ -82,25 +82,25 @@
 }
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  *
- * \brief BuildingsHelper test
+ * @brief BuildingsHelper test
  */
 class BuildingsHelperOneTestCase : public TestCase
 {
   public:
     /**
      * Build the testcase name
-     * \param pib Position in building
-     * \param bd Building data
-     * \return the TestCase name
+     * @param pib Position in building
+     * @param bd Building data
+     * @return the TestCase name
      */
     static std::string BuildNameString(PositionInBuilding pib, BuildingData bd);
 
     /**
      * Constructor
-     * \param pib Position in building
-     * \param bd Building data
+     * @param pib Position in building
+     * @param bd Building data
      */
     BuildingsHelperOneTestCase(PositionInBuilding pib, BuildingData bd);
 
@@ -182,9 +182,9 @@
 }
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  *
- * \brief BuildingsHelper TestSuite
+ * @brief BuildingsHelper TestSuite
  */
 class BuildingsHelperTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/test/buildings-pathloss-test.cc ns-3.44/src/buildings/test/buildings-pathloss-test.cc
--- ns-3.43/src/buildings/test/buildings-pathloss-test.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/test/buildings-pathloss-test.cc	2025-03-09 16:55:49.351371000 -0700
@@ -9,15 +9,15 @@
 
 #include "buildings-pathloss-test.h"
 
-#include <ns3/building.h>
-#include <ns3/buildings-helper.h>
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/double.h>
-#include <ns3/enum.h>
-#include <ns3/log.h>
-#include <ns3/mobility-building-info.h>
-#include <ns3/simulator.h>
-#include <ns3/string.h>
+#include "ns3/building.h"
+#include "ns3/buildings-helper.h"
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/double.h"
+#include "ns3/enum.h"
+#include "ns3/log.h"
+#include "ns3/mobility-building-info.h"
+#include "ns3/simulator.h"
+#include "ns3/string.h"
 
 using namespace ns3;
 
@@ -68,7 +68,7 @@
                                               2,
                                               OpenAreasEnvironment,
                                               LargeCity,
-                                              110.21,
+                                              109.66,
                                               "loss OH OpenAreas"),
                 TestCase::Duration::QUICK);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/test/buildings-pathloss-test.h ns-3.44/src/buildings/test/buildings-pathloss-test.h
--- ns-3.43/src/buildings/test/buildings-pathloss-test.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/test/buildings-pathloss-test.h	2025-03-09 16:55:49.351371000 -0700
@@ -9,13 +9,13 @@
 #ifndef BUILDINGS_PATHLOSS_TEST_H
 #define BUILDINGS_PATHLOSS_TEST_H
 
-#include <ns3/hybrid-buildings-propagation-loss-model.h>
-#include <ns3/test.h>
+#include "ns3/hybrid-buildings-propagation-loss-model.h"
+#include "ns3/test.h"
 
 using namespace ns3;
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  *
  * Test 1.1 BuildingsPathlossModel Pathloss compound test
  *
@@ -29,7 +29,7 @@
 };
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  *
  * Test 1.1 BuildingsPathlossModel Pathloss test
  *
@@ -39,13 +39,13 @@
   public:
     /**
      * Constructor
-     * \param freq Communication frequency
-     * \param m1 First MobilityModel Index
-     * \param m2 Second MobilityModel Index
-     * \param env Environment type
-     * \param city City size
-     * \param refValue Theoretical loss
-     * \param name Test name
+     * @param freq Communication frequency
+     * @param m1 First MobilityModel Index
+     * @param m2 Second MobilityModel Index
+     * @param env Environment type
+     * @param city City size
+     * @param refValue Theoretical loss
+     * @param name Test name
      */
     BuildingsPathlossTestCase(double freq,
                               uint16_t m1,
@@ -60,8 +60,8 @@
     void DoRun() override;
     /**
      * Create a mobility model based on its index
-     * \param index MobilityModel index
-     * \return The MobilityModel
+     * @param index MobilityModel index
+     * @return The MobilityModel
      */
     Ptr<MobilityModel> CreateMobilityModel(uint16_t index);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/test/buildings-penetration-loss-pathloss-test.cc ns-3.44/src/buildings/test/buildings-penetration-loss-pathloss-test.cc
--- ns-3.43/src/buildings/test/buildings-penetration-loss-pathloss-test.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/test/buildings-penetration-loss-pathloss-test.cc	2025-03-09 16:55:49.351371000 -0700
@@ -25,7 +25,7 @@
 NS_LOG_COMPONENT_DEFINE("BuildingsPenetrationLossesTest");
 
 /**
- * \ingroup propagation-tests
+ * @ingroup propagation-tests
  *
  * Test case for the 3GPP channel O2I building penetration losses.
  * It considers pre-determined scenarios and based on the outdoor/indoor
@@ -248,7 +248,7 @@
 }
 
 /**
- * \ingroup propagation-tests
+ * @ingroup propagation-tests
  *
  * Test suite for the buildings penetration losses
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/test/buildings-shadowing-test.cc ns-3.44/src/buildings/test/buildings-shadowing-test.cc
--- ns-3.43/src/buildings/test/buildings-shadowing-test.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/test/buildings-shadowing-test.cc	2025-03-09 16:55:49.351371000 -0700
@@ -9,18 +9,18 @@
 
 #include "buildings-shadowing-test.h"
 
-#include <ns3/building.h>
-#include <ns3/buildings-helper.h>
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/double.h>
-#include <ns3/enum.h>
-#include <ns3/hybrid-buildings-propagation-loss-model.h>
-#include <ns3/log.h>
-#include <ns3/mobility-building-info.h>
-#include <ns3/mobility-model.h>
-#include <ns3/ptr.h>
-#include <ns3/simulator.h>
-#include <ns3/string.h>
+#include "ns3/building.h"
+#include "ns3/buildings-helper.h"
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/double.h"
+#include "ns3/enum.h"
+#include "ns3/hybrid-buildings-propagation-loss-model.h"
+#include "ns3/log.h"
+#include "ns3/mobility-building-info.h"
+#include "ns3/mobility-model.h"
+#include "ns3/ptr.h"
+#include "ns3/simulator.h"
+#include "ns3/string.h"
 
 using namespace ns3;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/test/buildings-shadowing-test.h ns-3.44/src/buildings/test/buildings-shadowing-test.h
--- ns-3.43/src/buildings/test/buildings-shadowing-test.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/test/buildings-shadowing-test.h	2025-03-09 16:55:49.351371000 -0700
@@ -20,7 +20,7 @@
 using namespace ns3;
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  *
  * Shadowing compound test
  *
@@ -34,7 +34,7 @@
 };
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  *
  * Shadowing test
  */
@@ -43,11 +43,11 @@
   public:
     /**
      * Constructor
-     * \param m1 First MobilityModel Index
-     * \param m2 Second MobilityModel Index
-     * \param refValue Theoretical loss
-     * \param sigmaRef Theoretical loss standard deviation
-     * \param name Test name
+     * @param m1 First MobilityModel Index
+     * @param m2 Second MobilityModel Index
+     * @param refValue Theoretical loss
+     * @param sigmaRef Theoretical loss standard deviation
+     * @param name Test name
      */
     BuildingsShadowingTestCase(uint16_t m1,
                                uint16_t m2,
@@ -60,8 +60,8 @@
     void DoRun() override;
     /**
      * Create a mobility model based on its index
-     * \param index MobilityModel index
-     * \return The MobilityModel
+     * @param index MobilityModel index
+     * @return The MobilityModel
      */
     Ptr<MobilityModel> CreateMobilityModel(uint16_t index);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/test/outdoor-random-walk-test.cc ns-3.44/src/buildings/test/outdoor-random-walk-test.cc
--- ns-3.43/src/buildings/test/outdoor-random-walk-test.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/test/outdoor-random-walk-test.cc	2025-03-09 16:55:49.351371000 -0700
@@ -23,7 +23,7 @@
 NS_LOG_COMPONENT_DEFINE("OutdoorRandomWalkTest");
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  *
  * Test case for the class OutdoorRandomWalkTestCase. It checks if the
  * positions visited by the user are outside buildings
@@ -39,7 +39,7 @@
 
     /**
      * Check that the position is the expected one
-     * \param model Mobility model
+     * @param model Mobility model
      */
     void CheckPositionOutdoor(Ptr<RandomWalk2dOutdoorMobilityModel> model);
 
@@ -151,7 +151,7 @@
 }
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  *
  * Test suite for the buildings channel condition model
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/test/three-gpp-v2v-channel-condition-model-test.cc ns-3.44/src/buildings/test/three-gpp-v2v-channel-condition-model-test.cc
--- ns-3.43/src/buildings/test/three-gpp-v2v-channel-condition-model-test.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/test/three-gpp-v2v-channel-condition-model-test.cc	2025-03-09 16:55:49.351371000 -0700
@@ -26,7 +26,7 @@
 NS_LOG_COMPONENT_DEFINE("ThreeGppV2vChannelConditionModelsTest");
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  *
  * Test case for the classes ThreeGppV2vUrbanChannelConditionModel,
  * and ThreeGppV2vHighwayChannelConditionModel to test their code to
@@ -201,8 +201,8 @@
      * Evaluates the channel condition between two nodes by calling the method
      * GetChannelCondition on m_condModel. If the channel condition is LOS it
      * increments m_numLos
-     * \param a the mobility model of the first node
-     * \param b the mobility model of the second node
+     * @param a the mobility model of the first node
+     * @param b the mobility model of the second node
      */
     void EvaluateChannelCondition(Ptr<MobilityModel> a, Ptr<MobilityModel> b);
 
@@ -366,8 +366,8 @@
      * Evaluates the channel condition between two nodes by calling the method
      * GetChannelCondition on m_condModel. If the channel condition is LOS it
      * increments m_numLos
-     * \param a the mobility model of the first node
-     * \param b the mobility model of the second node
+     * @param a the mobility model of the first node
+     * @param b the mobility model of the second node
      */
     void EvaluateChannelCondition(Ptr<MobilityModel> a, Ptr<MobilityModel> b);
 
@@ -498,7 +498,7 @@
 }
 
 /**
- * \ingroup building-test
+ * @ingroup building-test
  *
  * Test suite for the 3GPP V2V channel condition model
  *
@@ -511,7 +511,7 @@
  * The test ThreeGppV2vBuildingsChCondModelTestCase checks the
  * 1st step of the procedure, the deterministic one, using buildings for
  * both \link ns3::ThreeGppV2vUrbanChannelConditionModel \endlink and
- * \link ns3::ThreeGppV2vHighwayChannelConditionModel \endlink .
+ * @link ns3::ThreeGppV2vHighwayChannelConditionModel \endlink .
  *
  * The tests ThreeGppV2vUrbanLosNlosvChCondModelTestCase and
  * ThreeGppV2vHighwayLosNlosvChCondModelTestCase check the
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/click/examples/nsclick-defines.cc ns-3.44/src/click/examples/nsclick-defines.cc
--- ns-3.43/src/click/examples/nsclick-defines.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/click/examples/nsclick-defines.cc	2025-03-09 16:55:49.351371000 -0700
@@ -50,7 +50,7 @@
     // Now, do the actual simulation.
     //
     NS_LOG_INFO("Run Simulation.");
-    Simulator::Stop(Seconds(20.0));
+    Simulator::Stop(Seconds(20));
     Simulator::Run();
     Simulator::Destroy();
     NS_LOG_INFO("Done.");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/click/examples/nsclick-raw-wlan.cc ns-3.44/src/click/examples/nsclick-raw-wlan.cc
--- ns-3.43/src/click/examples/nsclick-raw-wlan.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/click/examples/nsclick-raw-wlan.cc	2025-03-09 16:55:49.351371000 -0700
@@ -115,8 +115,8 @@
     Address LocalAddress(InetSocketAddress(Ipv4Address::GetAny(), 50000));
     PacketSinkHelper packetSinkHelper("ns3::TcpSocketFactory", LocalAddress);
     ApplicationContainer recvapp = packetSinkHelper.Install(wifiNodes.Get(1));
-    recvapp.Start(Seconds(5.0));
-    recvapp.Stop(Seconds(10.0));
+    recvapp.Start(Seconds(5));
+    recvapp.Stop(Seconds(10));
 
     OnOffHelper onOffHelper("ns3::TcpSocketFactory", Address());
     onOffHelper.SetAttribute("OnTime", StringValue("ns3::ConstantRandomVariable[Constant=1]"));
@@ -128,13 +128,13 @@
     onOffHelper.SetAttribute("Remote", remoteAddress);
     appcont.Add(onOffHelper.Install(wifiNodes.Get(0)));
 
-    appcont.Start(Seconds(5.0));
-    appcont.Stop(Seconds(10.0));
+    appcont.Start(Seconds(5));
+    appcont.Stop(Seconds(10));
 
     // For tracing
     wifiPhy.EnablePcap("nsclick-raw-wlan", wifiDevices);
 
-    Simulator::Stop(Seconds(20.0));
+    Simulator::Stop(Seconds(20));
     Simulator::Run();
 
     Simulator::Destroy();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/click/examples/nsclick-routing.cc ns-3.44/src/click/examples/nsclick-routing.cc
--- ns-3.43/src/click/examples/nsclick-routing.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/click/examples/nsclick-routing.cc	2025-03-09 16:55:49.351371000 -0700
@@ -90,8 +90,8 @@
     uint16_t port = 4000;
     UdpServerHelper server(port);
     ApplicationContainer apps = server.Install(n.Get(2));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     //
     // Create one UdpClient application to send UDP datagrams from node zero to
@@ -105,8 +105,8 @@
     client.SetAttribute("Interval", TimeValue(interPacketInterval));
     client.SetAttribute("PacketSize", UintegerValue(MaxPacketSize));
     apps = client.Install(NodeContainer(n.Get(0)));
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(10));
 
     csma.EnablePcap("nsclick-routing", d01, false);
     csma.EnablePcap("nsclick-routing", d12, false);
@@ -115,7 +115,7 @@
     // Now, do the actual simulation.
     //
     NS_LOG_INFO("Run Simulation.");
-    Simulator::Stop(Seconds(20.0));
+    Simulator::Stop(Seconds(20));
     Simulator::Run();
     Simulator::Destroy();
     NS_LOG_INFO("Done.");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/click/examples/nsclick-simple-lan.cc ns-3.44/src/click/examples/nsclick-simple-lan.cc
--- ns-3.43/src/click/examples/nsclick-simple-lan.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/click/examples/nsclick-simple-lan.cc	2025-03-09 16:55:49.351371000 -0700
@@ -69,8 +69,8 @@
     Address LocalAddress(InetSocketAddress(Ipv4Address::GetAny(), 50000));
     PacketSinkHelper packetSinkHelper("ns3::TcpSocketFactory", LocalAddress);
     ApplicationContainer recvapp = packetSinkHelper.Install(csmaNodes.Get(1));
-    recvapp.Start(Seconds(5.0));
-    recvapp.Stop(Seconds(10.0));
+    recvapp.Start(Seconds(5));
+    recvapp.Stop(Seconds(10));
 
     OnOffHelper onOffHelper("ns3::TcpSocketFactory", Address());
     onOffHelper.SetAttribute("OnTime", StringValue("ns3::ConstantRandomVariable[Constant=1]"));
@@ -82,13 +82,13 @@
     onOffHelper.SetAttribute("Remote", remoteAddress);
     appcont.Add(onOffHelper.Install(csmaNodes.Get(0)));
 
-    appcont.Start(Seconds(5.0));
-    appcont.Stop(Seconds(10.0));
+    appcont.Start(Seconds(5));
+    appcont.Stop(Seconds(10));
 
     // For tracing
     csma.EnablePcap("nsclick-simple-lan", csmaDevices, false);
 
-    Simulator::Stop(Seconds(20.0));
+    Simulator::Stop(Seconds(20));
     Simulator::Run();
 
     Simulator::Destroy();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/click/examples/nsclick-simple-lan.py ns-3.44/src/click/examples/nsclick-simple-lan.py
--- ns-3.43/src/click/examples/nsclick-simple-lan.py	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/click/examples/nsclick-simple-lan.py	2025-03-09 16:55:49.351371000 -0700
@@ -51,8 +51,8 @@
 LocalAddress = ns.InetSocketAddress(ns.Ipv4Address.GetAny(), 50000).ConvertTo()
 packetSinkHelper = ns.PacketSinkHelper("ns3::TcpSocketFactory", LocalAddress)
 recvapp = packetSinkHelper.Install(csmaNodes.Get(1))
-recvapp.Start(ns.Seconds(5.0))
-recvapp.Stop(ns.Seconds(10.0))
+recvapp.Start(ns.Seconds(5))
+recvapp.Stop(ns.Seconds(10))
 
 onOffHelper = ns.OnOffHelper("ns3::TcpSocketFactory", ns.Address())
 onOffHelper.SetAttribute("OnTime", ns.StringValue("ns3::ConstantRandomVariable[Constant=1]"))
@@ -64,13 +64,13 @@
 onOffHelper.SetAttribute("Remote", ns.AddressValue(remoteAddress))
 appcont.Add(onOffHelper.Install(csmaNodes.Get(0)))
 
-appcont.Start(ns.Seconds(5.0))
-appcont.Stop(ns.Seconds(10.0))
+appcont.Start(ns.Seconds(5))
+appcont.Stop(ns.Seconds(10))
 
 # For tracing
 csma.EnablePcap("nsclick-simple-lan", csmaDevices, False)
 
-ns.Simulator.Stop(ns.Seconds(20.0))
+ns.Simulator.Stop(ns.Seconds(20))
 ns.Simulator.Run()
 
 ns.Simulator.Destroy()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/click/examples/nsclick-udp-client-server-csma.cc ns-3.44/src/click/examples/nsclick-udp-client-server-csma.cc
--- ns-3.43/src/click/examples/nsclick-udp-client-server-csma.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/click/examples/nsclick-udp-client-server-csma.cc	2025-03-09 16:55:49.351371000 -0700
@@ -90,8 +90,8 @@
     uint16_t port = 4000;
     UdpServerHelper server(port);
     ApplicationContainer apps = server.Install(n.Get(1));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     //
     // Create one UdpClient application to send UDP datagrams from node zero to
@@ -105,8 +105,8 @@
     client.SetAttribute("Interval", TimeValue(interPacketInterval));
     client.SetAttribute("PacketSize", UintegerValue(MaxPacketSize));
     apps = client.Install(NodeContainer(n.Get(0), n.Get(2)));
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(10));
 
     csma.EnablePcap("nsclick-udp-client-server-csma", d, false);
 
@@ -114,7 +114,7 @@
     // Now, do the actual simulation.
     //
     NS_LOG_INFO("Run Simulation.");
-    Simulator::Stop(Seconds(20.0));
+    Simulator::Stop(Seconds(20));
     Simulator::Run();
     Simulator::Destroy();
     NS_LOG_INFO("Done.");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/click/examples/nsclick-udp-client-server-wifi.cc ns-3.44/src/click/examples/nsclick-udp-client-server-wifi.cc
--- ns-3.43/src/click/examples/nsclick-udp-client-server-wifi.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/click/examples/nsclick-udp-client-server-wifi.cc	2025-03-09 16:55:49.351371000 -0700
@@ -163,8 +163,8 @@
     uint16_t port = 4000;
     UdpServerHelper server(port);
     ApplicationContainer apps = server.Install(n.Get(1));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     //
     // Create one UdpClient application to send UDP datagrams from node zero to
@@ -178,8 +178,8 @@
     client.SetAttribute("Interval", TimeValue(interPacketInterval));
     client.SetAttribute("PacketSize", UintegerValue(MaxPacketSize));
     apps = client.Install(NodeContainer(n.Get(0), n.Get(2)));
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(10));
 
     wifiPhy.EnablePcap("nsclick-udp-client-server-wifi", d);
 
@@ -198,7 +198,7 @@
     // Now, do the actual simulation.
     //
     NS_LOG_INFO("Run Simulation.");
-    Simulator::Stop(Seconds(20.0));
+    Simulator::Stop(Seconds(20));
     Simulator::Run();
     Simulator::Destroy();
     NS_LOG_INFO("Done.");
